/*
 * Header for the lex/flex dependend files
 */

#ifndef PARSER_DEP_H
#define PARSER_DEP_H

#include "tmp/acl.h"

extern int StringInput;
extern char *TheString;
extern char *Ch;

/* lexdep.c respective flexdep.c */
extern void yyerror ARGS((char message[]));
extern void serror ARGS((char str[]));
extern int scan_input ARGS((void));
extern void scan_unput ARGS((char c));
extern void parser_cleanup ARGS((void));
extern void init_io ARGS((void));
extern void SkipForwardToFromList ARGS((void));
extern LispValue SkipBackToTlist ARGS((void));
extern void dep_aclparse ARGS((AclItem *aip, unsigned *modechg));

#endif
