#
# /usr/local/devel/postgres-v4r2/src/backend/parser/RCS/Makefile.inc,v 1.5 1993/02/08 18:11:20 aoki Exp
#
PARSED= ${.CURDIR}/parser

.PATH: ${PARSED}

PARSEYACCS= gram.c parse.h
SCANDEPS= lexdep.c flexdep.c

${PARSEYACCS}: gram.y
	yacc -d ${.ALLSRC}; \
	mv y.tab.c gram.c; \
	mv y.tab.h parse.h;

SRCS+= catalog_utils.c dbcommands.c parse_query.c scanner.c \
	 ylib.c gram.c scan.c

CLEANFILES+= scan.c ${PARSEYACCS}

${PROG}: ${PARSEYACCS}

.depend: scan.c ${PARSEYACCS}

# The scanner includes either lexdep.c or flexdep.c (but we cannot know
# here which one, without making assumptions about the parser).
scan.o: ${SCANDEPS}

.if ${PORTNAME} == "bsd44"
YFLAGS+= -l
.endif

.if ${PORTNAME} == "linux"
LFLAGS+= -8
.endif

HEADERS+= atoms.h catalog_utils.h dep.h exceptions.h parse_query.h \
	 parsetree.h
